.. _cppapi:

******************************************************************************
C++ API
******************************************************************************

.. toctree::
   :maxdepth: 2

   bounds
   charbuf
   columnpointtable
   dimension
   extractor
   fileutils
   filter
   istream
   log
   metadata
   options
   pointtable
   pointview
   programargs
   reader
   rowpointtable
   stage
   stagefactory
   utils
   writer
